# $Revision: 1.57 $, $Date: 2010/06/03 15:32:27 $
Summary:	The Ogg Vorbis Tools
Summary(es.UTF-8):	Utensilios Ogg Vorbis
Summary(pl.UTF-8):	Narzędzia do obsługi plików w formacie Ogg Vorbis
Summary(pt_BR.UTF-8):	Ferramentas Ogg Vorbis
Name:		vorbis-tools
Version:	1.4.0
Release:	2
Epoch:		1
License:	GPL v2
Group:		Development/Libraries
Source0:	http://downloads.xiph.org/releases/vorbis/%{name}-%{version}.tar.gz
# Source0-md5:	567e0fb8d321b2cd7124f8208b8b90e6
Patch0:		%{name}-ac_fixes.patch
Patch1:		%{name}-nolibnsl.patch
URL:		http://www.vorbis.com/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	flac-devel >= 1.1.3
BuildRequires:	gettext-devel
BuildRequires:	libao-devel >= 1.0.0
BuildRequires:	libkate-devel
BuildRequires:	libogg-devel >= 2:1.1
BuildRequires:	libtool
BuildRequires:	libvorbis-devel >= 1:1.3.0
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig
BuildRequires:	speex-devel
Requires:	libvorbis >= 1:1.3.0
Obsoletes:	vorbis
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for high quality audio. This
package contains various tools for Ogg Vorbis files such as command
line encoder, decoder, player, etc.

%description -l pl.UTF-8
Ogg Vorbis jest otwartym, niezależnym oraz wolnym od odpłat i patentów
formatem ogólnego przeznaczenia dla plików dźwiękowych wysokiej
jakości. Pakiet zawiera różne narzędzia do obsługi plików w tym
formacie, np.: kompresor, dekompresor, odtwarzacz, itp.

%description -l pt_BR.UTF-8
Ogg Vorbis e' um formato de áudio aberto de propósito geral,
não-proprietário e isento de patentes e royalties, para áudio e musica
de alta qualidade.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS CHANGES README
%attr(755,root,root) %{_bindir}/ogg123
%attr(755,root,root) %{_bindir}/oggdec
%attr(755,root,root) %{_bindir}/oggenc
%attr(755,root,root) %{_bindir}/ogginfo
%attr(755,root,root) %{_bindir}/vcut
%attr(755,root,root) %{_bindir}/vorbiscomment
%{_mandir}/man1/ogg123.1*
%{_mandir}/man1/oggdec.1*
%{_mandir}/man1/oggenc.1*
%{_mandir}/man1/ogginfo.1*
%{_mandir}/man1/vcut.1*
%{_mandir}/man1/vorbiscomment.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vorbis-tools.spec,v $
Revision 1.57  2010/06/03 15:32:27  baggins
- rel 2

Revision 1.56  2010/04/13 21:16:08  qboosh
- BR: libkate-devel

Revision 1.55  2010/04/12 05:53:50  qboosh
- updated to 1.4.0
- updated nolibnsl patch

Revision 1.54  2010/01/15 22:45:19  sparky
- BR: pkgconfig

Revision 1.53  2008/05/30 17:24:40  qboosh
- updated to 1.2.0
- updated ac_fixes patch, removed obsolete curl,flac patches

Revision 1.52  2008-02-24 23:19:32  glen
- release 7

Revision 1.51  2007-04-01 23:52:51  baggins
- rel 6

Revision 1.50  2007/02/12 22:09:19  glen
- tabs in preamble

Revision 1.49  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.48  2007/01/03 22:06:03  sls
- flac.patch replaced by working one

Revision 1.47  2006/12/31 20:21:25  qboosh
- added flac patch to restore FLAC support with flac 1.1.3
- added README to doc

Revision 1.46  2006/12/28 17:16:27  wrobell
- rel. 5 to rebuild with new flac

Revision 1.45  2006/12/02 11:37:41  arekm
- rel 4; new curl

Revision 1.44  2006/11/05 23:52:43  qboosh
- gettextize (needed with new gettext)
- added curl patch (needed with new curl)

Revision 1.43  2006/08/06 10:12:12  wolf
- rel 3

Revision 1.42  2005/07/11 20:50:57  arekm
- rel 2

Revision 1.41  2005/07/02 10:53:09  qboosh
- updated to 1.1.1, updated patches, new Source0 URL

Revision 1.40  2004/10/18 08:14:53  pluto
- release 3 to rebuild with flac-1.1.1.

Revision 1.39  2004/07/12 07:08:29  ankry
- rel. 2 to rebuild with curl-7.12

Revision 1.38  2004/03/19 23:46:39  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.37  2003/11/22 01:23:17  qboosh
- BR: flac-devel, speex-devel (for Ogg/FLAC and Ogg/Speex support)
- updated ac_fixes patch, removed obsolete amfix patch

Revision 1.36  2003/11/21 23:51:47  adgor
- Builds with libvorbis-devel 1:1.0-6 (maybe CBC?)

Revision 1.35  2003/11/21 22:55:31  wolf
- 1.0.1

Revision 1.34  2003/09/30 20:18:36  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.33  2003/05/28 13:02:39  malekith
- massive attack: source-md5

Revision 1.32  2003/05/25 06:27:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.31  2003/03/02 19:47:31  qboosh
- added nolibnsl patch

Revision 1.30  2003/02/25 13:30:58  malekith
- release 3 -- rebuild with new openssl

Revision 1.29  2003/02/13 14:06:57  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.28  2002/10/09 13:14:50  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.27  2002/08/29 18:08:02  aniou
- fixed project homepage URL

Revision 1.26  2002/07/23 16:52:42  kloczek
- release 2.

Revision 1.25  2002/07/23 16:10:55  qboosh
- added amfix patch, removed am hack from spec

Revision 1.24  2002/07/22 20:16:47  kloczek
- merge translations from Conectiva.

Revision 1.23  2002/07/21 12:36:58  wrobell
- fixed summaries and descriptions
- added ugly hack to fix automake running
- new doc
- added l10n files
- stb

Revision 1.22  2002/07/20 15:45:20  wrobell
- ver. 1.0, nfy

Revision 1.21  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.20  2002/05/21 23:14:54  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.19  2002/03/24 23:28:26  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.18  2002/03/03 09:53:23  kloczek
- release 4.

Revision 1.17  2002/02/23 05:04:58  kloczek
- adapterized.

Revision 1.16  2002/02/22 23:29:57  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/01/18 02:15:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2002/01/14 18:46:07  mkochano
- Release 3.
- BuildRequires _same_version_ of libvorbis.
STBR

Revision 1.13  2002/01/08 23:07:09  kloczek
- bump release to 2,
- merge translations from Conectiva,
- !sort BuildRequires rules.

Revision 1.12  2002/01/08 23:01:22  kloczek
- regenerate ac/am/lt files is back (added ac_fixes patch).

Revision 1.11  2002/01/08 20:56:28  mkochano
- Updated to 1.0RC3.
- Commented out ac/am rebuild stuff --- it doesn't work.
- Use %%configure2_13

Revision 1.10  2001/11/06 09:18:49  kloczek
- cosmetics.

Revision 1.9  2001/11/01 19:40:22  ankry
- fixed path in the source URL

Revision 1.8  2001/11/01 00:07:52  wrobell
- ver. 1.0rc2
- stb!!!

Revision 1.7  2001/08/13 00:37:47  kloczek
- release 7: added vorbis to Obsoletes for allow upgrade from RH.

Revision 1.6  2001/08/12 20:44:53  kloczek
- release 6,
- spec adapterized.

Revision 1.5  2001/06/22 04:34:15  kloczek
- release 1: include rc1 to version field.

Revision 1.4  2001/06/21 10:48:17  michuz
- typo

Revision 1.3  2001/06/21 10:04:01  misiek
- update do 1.0rc1
- rebuild autostuff
- remove obsolete patches

Revision 1.2  2001/05/03 01:14:04  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.1  2000/10/29 15:59:15  pascalek
- initial release
